C2DRigidRegister Class Reference
Image Registration and Transformation

Linear Registration of 2D images. More...

`#include <mia/2d/rigidregister.hh>`

## Public Member Functions

| C2DRigidRegister (P2DImageCost cost, PMinimizer minimizer, P2DTransformationFactory transform_creator, size_t mg_levels)
P2DTransformation | run (P2DImage src, P2DImage ref) const
| ~C2DRigidRegister ()

## Detailed Description

Linear Registration of 2D images.

Class for registration without regularization - i.e. should only be used for affine, rigid and translation only registrations. However, one might note that the generic implementation of the C2DTransformtion class makes is possible to use any kind of transformation that is provided by a transformation plug-in. This class allows that exactly one cost function is used.

Definition at line 44 of file 2d/rigidregister.hh.

## Constructor & Destructor Documentation

## C2DRigidRegister()

C2DRigidRegister::C2DRigidRegister | ( | P2DImageCost | cost,
|  | PMinimizer | minimizer,
|  | P2DTransformationFactory | transform_creator,
|  | size_t | mg_levels )

Constructor for the registration tool

Parameters

  cost | cost function model
  minimizer | GSL provided minimizer
  transform_creator | object used to create the transformation type
  mg_levels | number of used multi-resolution levels

## ~C2DRigidRegister()

C2DRigidRegister::~C2DRigidRegister | ( |  | ) |

## Member Function Documentation

## run()

P2DTransformation C2DRigidRegister::run | ( | P2DImage | src,
|  | P2DImage | ref ) const

Run the registration of an image pair.

Parameters

  src | source (moving) image
  ref | reference (fixed) image

Returns
  the transformation registering src to ref that minimizes the constructor given cost function

The documentation for this class was generated from the following file:

- 2d/rigidregister.hh